Skip to main content

Rental Applications

RentalApplication objects represent rental applications from AppFolio®. Skywalk API allows you to obtain the following rental application attributes from AppFolio®.

The RentalApplication Object

Attributes


rentalApplicationIdinteger
ID of rental application.
Example:
1234

applicantsstring
Name of applicants
Example:
"John Jacobs"

applyingForstring
Unit number applicant is applying for
Example:
"101"

approvedAtstring
When application was approved
Example:
"04/15/2023 at 2:30 PM"

canceledAtstring
When application was cancelled
Example:
null

deniedAtstring
When application was denied
Example:
null

desiredMoveInstring
Desired move in date of applicant
Example:
"07/01/2023"

emailstring
Email of applicant
Example:
"prospect@email.com"

phoneNumberstring
Phone number of applicant
Example:
"(111)111-1111"

propertyIdstring
Property ID associated with application
Example:
"7"

statusstring
Status of application
Example:
"Converting"


More Attributes


unitIdstring

rentalApplicationGroupIdstring

screeningstring

tenantIdstring

currentAddress.address1string

currentAddress.address2string

currentAddress.citystring

currentAddress.zipstring

currentAddress.statestring

currentAddress.residedFromstring

currentAddress.residedTostring

currentAddress.landlordNamestring

currentAddress.landlordEmailstring

currentAddress.landlordPhoneNumberstring

currentAddress.monthlyRentstring

previousAddress1.address1string

previousAddress1.address2string

previousAddress1.citystring

previousAddress1.zipstring

previousAddress1.statestring

previousAddress1.residedFromstring

previousAddress1.residedTostring

previousAddress1.landlordNamestring

previousAddress1.landlordEmailstring

previousAddress1.landlordPhoneNumberstring

previousAddress1.monthlyRentstring

previousAddress2.address1string

previousAddress2.address2string

previousAddress2.citystring

previousAddress2.zipstring

previousAddress2.statestring

previousAddress2.residedFromstring

previousAddress2.residedTostring

previousAddress2.landlordNamestring

previousAddress2.landlordEmailstring

previousAddress2.landlordPhoneNumberstring

previousAddress2.monthlyRentstring

The RentalApplication Object
{
"rentalApplicationId": 1234,
"propertyId": "7",
"unitId": "210",
"tenantId": null,
"adminFeePaid": null,
"applicantReportedSource": "Walked In",
"applicants": "John Jacobs",
"applicationFeePaid": "Yes",
"applyingFor": "101",
"approvedAt": "04/15/2023 at 2:30 PM",
"assignedUser": "---",
"assignedUserId": null,
"campaignTitle": null,
"canceledAt": null,
"createdBy": "Manager",
"deniedAt": null,
"desiredMoveIn": "07/01/2023",
"email": "prospect@email.com",
"leadSource": "Walked In",
"petsKinds": null,
"petsNames": null,
"petsWeights": null,
"phoneNumber": "(111)111-1111",
"propertyName": "Warm Weather Apartments",
"reasonForStatus": "Interested in unit",
"received": "04/10/2023 at 02:10 PM",
"rentalApplicationGroupId": null,
"screening": "Done",
"status": "Converting",
"unit": {
"title": "101",
"address": "1234 Warm Weather Rd., CA 90001",
"type": "2 Bed + 2 Bath w/ Loft",
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"currentAddress": {
"address1": "444 Sun Drive",
"city": "Phoenix",
"zip": "85012",
"state": "AZ",
"residedFrom": "01/01/2023",
"residedTo": "06/01/2024",
"landlordName": "Martha B",
"landlordEmail": "martha@fake123.com",
"landlordPhoneNumber": null,
"monthlyRent": "1,600.00"
},
"previousAddress1": {
"address1": "123 Phoenix Way Blvd",
"city": "Phoenix",
"zip": "85012",
"state": "AZ",
"residedFrom": "06/01/2020",
"residedTo": "01/01/2023",
"landlordName": "Bill Bob",
"landlordEmail": "billlandlord@fake.com",
"landlordPhoneNumber": null,
"monthlyRent": "1,520.00"
},
"previousAddress2": {
"address1": "891 AZ Blvd",
"city": "Phoenix",
"zip": "85012",
"state": "AZ",
"residedFrom": "03/01/2018",
"residedTo": "05/31/2020",
"landlordName": "Robert R",
"landlordEmail": null,
"landlordPhoneNumber": null,
"monthlyRent": "1,415.00"
}
}

Get All Rental Applications

GET /v1/rental-applications

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The rental applications endpoint returns a list of all rental applications in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.

Parameters


propertyIdselect
AppFolio ID of a Property to serve as a filter.

propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.

ownerIdselect
AppFolio ID of an Owner to serve as a filter.

dateRangeselect
Application "Received On" Date Range for report.
Default Value:  
this_month_to_date
Possible Values:  
today
this_week
this_week_to_date
this_month
this_month_to_date
this_quarter
this_quarter_to_date
this_year_to_date
last_year
last_year_to_date
yesterday
last_week
last_week_to_date
last_month
last_month_to_date
last_quarter
last_quarter_to_date
last_7_days
last_30_days
last_60_days
last_90_days
trailing_12_months
next_7_days
next_30_days
next_60_days
next_90_days
next_week
next_month
next_quarter
until_1_week_ago
until_1_month_ago
all_time

dateFromdate
Application "Received On" Date to given in MM/DD/YYYY (e.g. 01/31/2021)

dateTodate
Application "Received On" Date to given in MM/DD/YYYY (e.g. 01/31/2021)

applicationStatusselect
Filter guest cards for a specific status.
Default Value:  
all
Possible Values:  
all
New
Decision Pending
Approved
Denied
Canceled
Converting
Converted

 

Returns


The standard List Response Format with a data property containing an array of RentalApplication objects.

GET /v1/rental-applications
curl -X GET 'https://api.skywalkapi.com/v1/rental-applications' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/rental-applications",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/rental-applications?cursor=abcdefg"
},
"data": [
{
"rentalApplicationId": 1234,
"propertyId": "7",
"unitId": "210",
"tenantId": null,
"adminFeePaid": null,
"applicantReportedSource": "Walked In",
"applicants": "John Jacobs",
"applicationFeePaid": "Yes",
"applyingFor": "101",
"approvedAt": "04/15/2023 at 2:30 PM",
"assignedUser": "---",
"assignedUserId": null,
"campaignTitle": null,
"canceledAt": null,
"createdBy": "Manager",
"deniedAt": null,
"desiredMoveIn": "07/01/2023",
"email": "prospect@email.com",
"leadSource": "Walked In",
"petsKinds": null,
"petsNames": null,
"petsWeights": null,
"phoneNumber": "(111)111-1111",
"propertyName": "Warm Weather Apartments",
"reasonForStatus": "Interested in unit",
"received": "04/10/2023 at 02:10 PM",
"rentalApplicationGroupId": null,
"screening": "Done",
"status": "Converting",
"unit": {
"title": "101",
"address": "1234 Warm Weather Rd., CA 90001",
"type": "2 Bed + 2 Bath w/ Loft",
"street": "1234 Warm Weather Rd.",
"street2": "101",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"currentAddress": {
"address1": "444 Sun Drive",
"city": "Phoenix",
"zip": "85012",
"state": "AZ",
"residedFrom": "01/01/2023",
"residedTo": "06/01/2024",
"landlordName": "Martha B",
"landlordEmail": "martha@fake123.com",
"landlordPhoneNumber": null,
"monthlyRent": "1,600.00"
},
"previousAddress1": {
"address1": "123 Phoenix Way Blvd",
"city": "Phoenix",
"zip": "85012",
"state": "AZ",
"residedFrom": "06/01/2020",
"residedTo": "01/01/2023",
"landlordName": "Bill Bob",
"landlordEmail": "billlandlord@fake.com",
"landlordPhoneNumber": null,
"monthlyRent": "1,520.00"
},
"previousAddress2": {
"address1": "891 AZ Blvd",
"city": "Phoenix",
"zip": "85012",
"state": "AZ",
"residedFrom": "03/01/2018",
"residedTo": "05/31/2020",
"landlordName": "Robert R",
"landlordEmail": null,
"landlordPhoneNumber": null,
"monthlyRent": "1,415.00"
}
}
]
}